C----------------------------------------------------------------------
      SUBROUTINE WBOUND(KTOUT_BDW,NRMAX)
C       OUTPUT BOUND STATE PARAMETERS AND 
C                          WAVE FUNCTIONS CICX(NR,(SP.NO1,SP.NO2))
C----------------------------------------------------------------------
      INCLUDE 'dimn.fh'
      INCLUDE 'opta1.fh'
      INCLUDE 'orbt.fh'
      INCLUDE 'wave.fh'
C
      character str1*60
c
      WRITE(6,1000)
 1000  FORMAT('======================================================'
     &/       'BOUND STATES DATA'
     &/       '------------------------------------------------------')
C
C     DO LOOP FOR ICH=1:NEUTRON, 2:PROTON
      DO 161 ICH=1,2
         if(ich.eq.1) str1= ' Neutron:'
         if(ich.eq.2) str1= ' Proton :'
          WRITE(6,1100) str1, VD(ICH)
      DO 155 NSPZ=1,NSPMX(ICH)
          WRITE(6,1200) NSPZ,NSPD(NSPZ,ICH),LSPD(NSPZ,ICH),
     &                  FJSPD(NSPZ,ICH),
     &                  BERSPD(NSPZ,ICH),BEISPD(NSPZ,ICH)
C
C     OUTPUT OF WAVE FUNCTIONS
          IF(KTOUT_BDW.GE.1) THEN
             NSP1Z=NSPZ+NSPMX(1)*(ICH-1)
             WRITE(6,1300) (CICX(NR,NSP1Z),NR=1,NRMAX,KTOUT_BDW)
          ENDIF
  155 CONTINUE
      write(*,*)
  161 CONTINUE
C
 1100 FORMAT(1x, a10,  '  V=',F7.3
     &  /1X,5X,'  N    L    J     BE(R)      BE(I)')
 1200 FORMAT(1X,I2,')',I5,I5,F6.1,F10.4,F10.4)
 1300 FORMAT(3(f8.5,1x,f8.5,2x))
C
      RETURN
      END
